### Class

# Snapd Price

since: 1.0

#### Description [src]

    final class Snapd.Price : GObject.Object
    {
      /* No available fields */
    }

`SnapdPrice` contains pricing information.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_price_get_amount

Get the currency amount for this price, e.g. 0.99.

since: 1.0

###### snapd_price_get_currency

Get the currency this price is in, e.g. “NZD”.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Price:amount

No description available.

###### Snapd.Price:currency

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdPriceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.